org.apache.commons.compress.harmony.pack200

## Class NewAttributeBands.Replication

- java.lang.Object
- - org.apache.commons.compress.harmony.pack200.NewAttributeBands.LayoutElement
  - - org.apache.commons.compress.harmony.pack200.NewAttributeBands.Replication

- All Implemented Interfaces:
    NewAttributeBands.AttributeLayoutElement
  Enclosing class:
    NewAttributeBands

      public class NewAttributeBands.Replication
      extends NewAttributeBands.LayoutElement

  A replication is an array of layout elements, with an associated count

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Replication(String tag, String contents)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttributeToBand(NewAttribute attribute, InputStream inputStream)`
    `NewAttributeBands.Integral` | `getCountElement()`
    `List<NewAttributeBands.LayoutElement>` | `getLayoutElements()`
    `void` | `pack(OutputStream out)`
    `void` | `renumberBci(IntList bciRenumbering, Map<org.objectweb.asm.Label,Integer> labelsToOffsets)`

    - ### Methods inherited from class org.apache.commons.compress.harmony.pack200.NewAttributeBands.LayoutElement

      `getLength`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Replication

          public Replication(String tag,
                             String contents)
                      throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### addAttributeToBand

          public void addAttributeToBand(NewAttribute attribute,
                                         InputStream inputStream)

    - #### getCountElement

          public NewAttributeBands.Integral getCountElement()

    - #### getLayoutElements

          public List<NewAttributeBands.LayoutElement> getLayoutElements()

    - #### pack

          public void pack(OutputStream out)
                    throws IOException,
                           Pack200Exception

      Throws:
        `IOException`
        `Pack200Exception`

    - #### renumberBci

          public void renumberBci(IntList bciRenumbering,
                                  Map<org.objectweb.asm.Label,Integer> labelsToOffsets)

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.